Package org.silverpeas.components.resourcesmanager.control

# Class ReservationTimeWindowViewContext

java.lang.Object
org.silverpeas.core.web.calendar.CalendarTimeWindowViewContext
org.silverpeas.components.resourcesmanager.control.ReservationTimeWindowViewContext

All Implemented Interfaces:
  `Serializable`

public class ReservationTimeWindowViewContext extends org.silverpeas.core.web.calendar.CalendarTimeWindowViewContext
User: Yohann Chastagnier Date: 17/04/13

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReservationTimeWindowViewContext(String componentInstanceId, org.silverpeas.core.admin.user.model.UserDetail currentUser, String language, ZoneId zoneId)`
  Default constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Long`
  `getCategoryId()`
  `String`
  `getCategoryUrl()`
  `org.silverpeas.core.admin.user.model.UserDetail`
  `getCurrentUser()`
  `String`
  `getCurrentUserId()`
  `ResourceManagerDataViewType`
  `getDataViewType()`
  `String`
  `getReservationEventUrl()`
  `Long`
  `getResourceId()`
  `String`
  `getResourceUrl()`
  `org.silverpeas.core.admin.user.model.UserDetail`
  `getSelectedUser()`
  `String`
  `getSelectedUserId()`
  `boolean`
  `isForValidation()`
  `ReservationTimeWindowViewContext`
  `resetFilters()`
  Reset to null all filters.
  `void`
  `setCategoryId(Long categoryId)`
  `void`
  `setDataViewType(ResourceManagerDataViewType dataViewType)`
  `void`
  `setForValidation(boolean forValidation)`
  `void`
  `setResourceId(Long resourceId)`
  `void`
  `setSelectedUserId(String userId)`

  ### Methods inherited from class org.silverpeas.core.web.calendar.CalendarTimeWindowViewContext

  `getAsJSonString, getAvailableViewTypes, getBundle, getComponentInstanceId, getFirstDayOfWeek, getFormattedReferenceDay, getPeriodLabel, getReferenceDay, getReferencePeriod, getReferencePeriodLabel, getViewType, getZoneId, getZoneIdAsString, isListViewMode, isWithWeekend, next, previous, setAvailableViewTypes, setListViewMode, setReferenceDay, setViewType, setWithWeekend, setZoneId, today, toJSonScript`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReservationTimeWindowViewContext

    public ReservationTimeWindowViewContext(String componentInstanceId, org.silverpeas.core.admin.user.model.UserDetail currentUser, String language, ZoneId zoneId)
    Default constructor.
    Parameters:
      `componentInstanceId` - the component instance identifier
      `language` - the language to take into account (fr for the french locale (fr_FR) for example).
      `zoneId` - the zoneId to take into account (ZoneId.of("Europe/Paris") for example).

- ## Method Details

  - ### resetFilters

    public ReservationTimeWindowViewContext resetFilters()
    Reset to null all filters.
    Overrides:
      `resetFilters` in class `org.silverpeas.core.web.calendar.CalendarTimeWindowViewContext`

  - ### getDataViewType

    public ResourceManagerDataViewType getDataViewType()

  - ### setDataViewType

    public void setDataViewType(ResourceManagerDataViewType dataViewType)

  - ### getCurrentUser

    public org.silverpeas.core.admin.user.model.UserDetail getCurrentUser()

  - ### getCurrentUserId

    public String getCurrentUserId()

  - ### getSelectedUser

    public org.silverpeas.core.admin.user.model.UserDetail getSelectedUser()

  - ### getSelectedUserId

    public String getSelectedUserId()

  - ### setSelectedUserId

    public void setSelectedUserId(String userId)

  - ### getCategoryId

    public Long getCategoryId()

  - ### setCategoryId

    public void setCategoryId(Long categoryId)

  - ### getResourceId

    public Long getResourceId()

  - ### setResourceId

    public void setResourceId(Long resourceId)

  - ### isForValidation

    public boolean isForValidation()

  - ### setForValidation

    public void setForValidation(boolean forValidation)

  - ### getReservationEventUrl

    public String getReservationEventUrl()
    Returns:
      the reservation event URL.

  - ### getCategoryUrl

    public String getCategoryUrl()
    Returns:
      the category URL.

  - ### getResourceUrl

    public String getResourceUrl()
    Returns:
      the resource URL.